%define name tzclock
%define version 3.0.1
%define release %mkrel 1

Summary:	GTK+ graphical Clock displaying the time around the world
Summary(de):	GTK+ grafische Uhr zeigt die Zeit auf der ganzen Welt
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Monitoring
License:	GPLv2
URL:		http://www.tzclock.org/
Source0:	http://www.tzclock.org/releases/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires:	libgnomeui2_0-devel
#BuildRequires:	librsvg2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig
BuildRequires:	%{_lib}notify-devel
Obsoletes: %name < %{version}


%description
TzClock is an X Window GTK+ graphical Clock that can display the time around the world. 
It supports multiple faces showing different time zones.There is a stopwatch function 
that is accurate to a tenth of a second, plus there are many other nice features for 
you to discover.

#german
%description -l de
TzClock ist eine grafische Uhr in GTK+ für dasX Window System, dass die Zeit auf der ganzen Welt anzeigen kann.
Es zeigt die verschiedenen Zeiten der unterschiedlichen Zeitzonen an. Bietet eine Stoppuhrfunktion,
die auf das Zehntel genau stoppen kann/anzeigt, plus viele weitere tolle Eigenschaften zum Entdecken.


%prep
%setup -q

%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun 
%clean_menus

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/screenSize
%{_bindir}/TzClock
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/TzClock.desktop
%{_mandir}/man1/TzClock.1.bz2

%changelog
* Tue Feb 28 2012 Neal <nealbrks0 at gmail dot com> 3.0.1-1pclos2012
- process

* Sun Feb 26 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.0.1-1pclos2012
- 3.0.1
- fixed buildrequires for new version (using gtk3)
- fixed german translations
- added xz compression

* Tue Jun 02 2010 slick50 <lxgator@gmail.com> 2.7.7-1pclos2010
- 2.7.7

* Mon Nov 23 2009 slick50 <lxgator@gmail.com> 2.7.6-1pclos2010
- initial build
